Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004715 [JEDI VCL] 00 JVCL Components major always 2009-03-23 17:35 2011-09-21 14:10
Reporter vasa View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.36
Summary 0004715: StateImage icons disappear from JvCheckTreeView when i use dock
Description Steps to reproduce:

1. Compile & Run atached source project (MSDN2002 JvDocking sample with added two TImageList and one TjvCheckTreeView in SearchFormUnit).

2. Go to menu a click on View/Navigation/Search, now is in bottom of window CheckTreeView with sample nodes. All nodes have CheckBoxes painted as images from ImageListTreeStatus. When i clicking on CheckBoxes, all working correctly.

3. Move SearchForm to dock on right side. Now image on CheckBoxes is gone and in place of image is there standard CheckBox without image !
Additional Information Same problem i saw on TJvListView.

I don't know where is problem. I serched in JvDocking but code of Docking is very complex and complicated.
Tags No tags attached.
Attached Files zip file icon MSDN2002.zip [^] (204,934 bytes) 2009-03-23 17:35

- Relationships

-  Notes
(0015782)
obones (administrator)
2009-07-08 15:14

Seeing this as well in D2009, no idea why either
(0018232)
AHUser (developer)
2010-11-30 21:32

Fixed in svn revision 12945.

- Issue History
Date Modified Username Field Change
2009-03-23 17:35 vasa New Issue
2009-03-23 17:35 vasa File Added: MSDN2002.zip
2009-07-06 14:05 obones Status new => acknowledged
2009-07-08 15:14 obones Note Added: 0015782
2009-07-08 15:14 obones Status acknowledged => confirmed
2010-11-30 21:32 AHUser Note Added: 0018232
2010-11-30 21:32 AHUser Status confirmed => resolved
2010-11-30 21:32 AHUser Fixed in Version => Daily / SVN
2010-11-30 21:32 AHUser Resolution open => fixed
2010-11-30 21:32 AHUser Assigned To => AHUser
2011-09-21 14:10 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker